color 9E
@echo off
cls

@echo #---------------------------------------#
@echo Use this batch file to change resolutions
@echo   and toolbar types for Celtic F2P (2.2)
@echo #---------------------------------------#
choice /C YN /N /M "#-- Continue Y or N >"

If Errorlevel 2 Goto End
If Errorlevel 1 Goto Next

:Next
cls
@echo #---------------------------------------#
@echo Deleting old skindefinition.xml
@echo #---------------------------------------#
del skindefinition.xml
pause
cls
 
@echo #--- Select an option from the list. ---#
@echo # '0' Mini Toolbar @ 1024 x 768
@echo # '1' Mini Toolbar @ 1280 x 1024
@echo # '2' Mini Toolbar @ 1440 x 900
@echo # '3' Mini Toolbar @ 1680 x 1050
@echo # '4' Mini Toolbar @ 1920 x 1200
@echo # '5' Large Toolbar @ 1024 x 768
@echo # '6' Large Toolbar @ 1280 x 1024
@echo # '7' Large Toolbar @ 1440 x 900
@echo # '8' Large Toolbar @ 1680 x 1050
@echo # '9' Large Toolbar @ 1920 x 1200
@echo #---------------------------------------#

choice /C 1234567890 /N /M "#-- Select an option 0 thru 9 to set the desired toolbar and resolution >"

If Errorlevel 10 Goto 10
If Errorlevel 9 Goto 9
If Errorlevel 8 Goto 8
If Errorlevel 7 Goto 7
If Errorlevel 6 Goto 6
If Errorlevel 5 Goto 5
If Errorlevel 4 Goto 4
If Errorlevel 3 Goto 3
If Errorlevel 2 Goto 2
If Errorlevel 1 Goto 1

Goto End

:10
@echo # You selected '0', Mini toolbar @ 1024 x 768
copy SkinDefs\Mini1024.xml skindefinition.xml /V /-Y
Goto End

:9
@echo # You selected '9', Large toolbar @ 1920 x 1200
copy SkinDefs\Large1920.xml skindefinition.xml /V /-Y
Goto End

:8
@echo # You selected '8', Large toolbar @ 1680 x 1050
copy SkinDefs\Large1680.xml skindefinition.xml /V /-Y
Goto End

:7
@echo # You selected '7', Large toolabr @ 1440 x 900
copy SkinDefs\Large1440.xml skindefinition.xml /V /-Y
Goto End

:6
@echo # You selected '6', Large toolbar @ 1280 x 1024
copy SkinDefs\Large1280.xml skindefinition.xml /V /-Y
Goto End

:5
@echo # You selected '5', Large toolbar @ 1024 x 768
copy SkinDefs\Large1024.xml skindefinition.xml /V /-Y
Goto End

:4
@echo # You selected '4', Mini toolbar @ 1920 x 1200
copy SkinDefs\Mini1920.xml skindefinition.xml /V /-Y
Goto End

:3
@echo # You selected '3', Mini toolbar @ 1680 x 1050
copy SkinDefs\Mini1680.xml skindefinition.xml /V /-Y
Goto End

:2
@echo # You selected '2', Mini toolabr @ 1440 x 900
copy SkinDefs\Mini1440.xml skindefinition.xml /V /-Y
Goto End

:1
@echo # You selected '1', Mini toolbar @ 1280 x 1024
copy SkinDefs\Mini1280.xml skindefinition.xml /V /-Y
Goto End

:End
@echo Enjoy!! ;-)
pause
color